Bug 1465038 - (CVE-2017-9831) CVE-2017-9831 libmtp: Integer overflow in ptp_unpack_EOS_CustomFuncEx
CVE-2017-9831 libmtp: Integer overflow in ptp_unpack_EOS_CustomFuncEx
Status: CLOSED WONTFIX
Product: Security Response
Classification: Other
Component: vulnerability (Show other bugs)
unspecified
All Linux
low Severity low
: ---
: ---
Assigned To: Red Hat Product Security
impact=low,public=20170316,reported=2...
: Security
Depends On: 1465044 1465045 1466791
Blocks: 1465052
  Show dependency treegraph
 
Reported: 2017-06-26 09:09 EDT by Adam Mariš
Modified: 2017-07-04 07:36 EDT (History)
9 users (show)

See Also:
Fixed In Version: libmtp 1.1.13, libgphoto2 2.5.14
Doc Type: If docs needed, set a value
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2017-06-30 11:29:23 EDT
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)

  None (edit)
Description Adam Mariš 2017-06-26 09:09:50 EDT
An integer overflow vulnerability in the ptp_unpack_EOS_CustomFuncEx function of the ptp-pack.c file of libmtp (version 1.1.12 and below) allows attackers to cause a denial of service (out-of-bounds memory access) or maybe remote code execution by inserting a mobile device into a personal computer through a USB cable.

Upstream bug report:

https://sourceforge.net/p/libmtp/mailman/message/35727918/
Comment 1 Adam Mariš 2017-06-26 09:19:55 EDT
Created libmtp tracking bugs for this issue:

Affects: fedora-all [bug 1465044]


Created libmtp11 tracking bugs for this issue:

Affects: epel-6 [bug 1465045]
Comment 2 Stefan Cornelius 2017-06-30 09:18:49 EDT
Created libgphoto2 tracking bugs for this issue:

Affects: fedora-all [bug 1466791]
Comment 3 Stefan Cornelius 2017-06-30 11:29:31 EDT
Statement:

Red Hat Product Security has rated this issue as having Low security impact. This issue is not currently planned to be addressed in future updates. For additional information, refer to the Issue Severity Classification: https://access.redhat.com/security/updates/classification/.

Note You need to log in before you can comment on or make changes to this bug.